import greenfoot.*;
import packages.twoD.*;
import packages.physix.*;
public class Car extends PhysixObject
{
    double throttle = 1.5;
    double brake = 2.5;
    Tire t;
    public Car(){
        super(100);
        GreenfootImage image = new GreenfootImage(40, 22);
        image.setColor(Color.RED);
        image.fill();
        setImage(image);
        t = new Tire(0);
    }
    public void run(){
        int spinning = 0;
        if(Greenfoot.isKeyDown("up")){
            addForce(new Vector(getRotation(), throttle, true));
            spinning = 1;
        }
        if(Greenfoot.isKeyDown("down")){
            if(forwards())addForce(new Vector(getRotation(), -brake, true));
            else addForce(new Vector(getRotation(), brake, true));
            spinning = 1;
        }
        if(Greenfoot.isKeyDown("space")){
            addForce(new Vector(velocity.getAngle(), -t.minGrip * t.maxGrip, true));
        }
        if(Greenfoot.isKeyDown("right"))turn(3);
        if(Greenfoot.isKeyDown("left"))turn(-3);
        Vector sideDrag = Vector.project(velocity, new Vector(getRotation() + 90, 1, true));
        addForce(t.getDrag(sideDrag, spinning));
        getWorld().addObject(new Tiremark(t.spinning(sideDrag, spinning), getRotation()), getX(), getY());
        //System.out.println("Spin: " + t.spinning(sideDrag, spinning));
    }
}